Форум программистов, компьютерный форум CyberForum.ru

Решение алгоритма Брезенхема черчения прямой линии - C++

Восстановить пароль Регистрация
Другие темы раздела
C++ удалить введенное слово из файла http://www.cyberforum.ru/cpp-beginners/thread743610.html
Препод вводит предложение , оно записывается в файл , после чего вводит слово и оно должно удалиться из файла. На что меня хватило: #include <iostream> using namespace std; #include <fstream> #include <string> int main() { char str;
C++ Ошибка ! Не работает список Помогите пожалуйста ! Почему то не работает список #include <iostream.h> struct List { int value; List *next; }; http://www.cyberforum.ru/cpp-beginners/thread743598.html
Вычислить значения функции на интервале C++
Задание в файлике, в виде картинки. Очень срочно и очень важно. Пожалуйста сделайте!
Извлечь корень квадратный из последнего члена последовательности C++
Заданные действительные числа a1, a2, ..., an. Если при замене отрицательных членов последовательности a1, a2, ..., an их квадратами образуется последовательность, не увеличивается, извлечь корень квадратный из последнего члена последовательности, в противном случае - его квадрат.
C++ Добавление компиляторов и отладчиков с++ для windows 8 x64 http://www.cyberforum.ru/cpp-beginners/thread743557.html
Здравствуйте господа программисты, у меня такой вопрос: Решил изучать с++ поставил себе IDE Netbeans 7.2 и компилятор "cygwin". Но при открытии проекта, пишет что компилятор не найден, добавьте в path путь и т.д. все добавил по инструкции от netbeans, но все равно не работает. Помогите, буду благодарен.
C++ Переписать положительные элементы массива K,кратные пяти в массив M,а остальные-в массив Q. Дан массив K(N).Переписать положительные элементы массива K,кратные пяти в массив M,а остальные-в массив Q. подробнее

Показать сообщение отдельно
Roka
0 / 0 / 0
Регистрация: 05.11.2012
Сообщений: 25
23.12.2012, 19:58     Решение алгоритма Брезенхема черчения прямой линии
Нужно написать код к алгоритме Брезенхема черчения прямой линии, и чтоб она отображалась на экране в Window Form Aplikation.
Знаю что уже были такие темы и всегда говорили:"Погугли". Но все что я нашел это этот код, который у меня не работает.
C++
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
#pragma endregion
    private: System::Void Form1_Load(System::Object^  line, System::EventArgs^  e) {
; (Bresenham_line (getpoint "\nУкажите первую точку: ") (getpoint "\nУкажите вторую точку: ") 1)
(defun Bresenham_line(pnt1 pnt2 eps / x1 y1 x2 y2 delta_x delta_y sign_x sign_y error error2)
  (setq x1 (car pnt1)
        y1 (cadr pnt1)
        x2 (car pnt2)
        y2 (cadr pnt2)
        delta_x (abs (- x2 x1))
        delta_y (abs (- y2 y1))
        sign_x (if (< x1 x2) 1 -1)
        sign_y (if (< y1 y2) 1 -1)
        error (- delta_x delta_y)
        )
  (while (or (not (equal x1 x2 eps))
             (not (equal y1 y2 eps))
             )
    (entmake (list '(0 . "CIRCLE") '(100 . "AcDbEntity") '(67 . 0) '(410 . "Model") '(100 . "AcDbCircle") (cons 10 (list x1 y1)) '(40 . 0.5))) ; - я рисую для наглядности окружности
    ;(entmake (list '(0 . "POINT") '(100 . "AcDbEntity") '(67 . 0) '(410 . "Model") '(100 . "AcDbPoint") (cons 10 (list x1 y1)))) ; можно нарисовать точки
    (setq error2 (* error 2))
    (if (> error2 (* -1 delta_y))
      (setq error (- error delta_y)
            x1 (+ x1 sign_x)
            )
      )
    (if (< error2 delta_x)
      (setq error (+ error delta_x)
            y1 (+ y1 sign_y)
            )
      )
    )
  )
    }
 
} }
};
}
После регистрации реклама в сообщениях будет скрыта и будут доступны все возможности форума.
 
Текущее время: 01:36. Часовой пояс GMT +3.
КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2016, vBulletin Solutions, Inc.
Рейтинг@Mail.ru